Author: bapt
Date: Sun Sep 18 14:48:28 2016
New Revision: 305930
URL: https://svnweb.freebsd.org/changeset/base/305930

Log:
  In preparation for removal of GNU rcs, replace merge(1) usage with direct
  diff3(1) usage

Modified:
  head/usr.sbin/freebsd-update/freebsd-update.sh

Modified: head/usr.sbin/freebsd-update/freebsd-update.sh
==============================================================================
--- head/usr.sbin/freebsd-update/freebsd-update.sh      Sun Sep 18 12:49:23 
2016        (r305929)
+++ head/usr.sbin/freebsd-update/freebsd-update.sh      Sun Sep 18 14:48:28 
2016        (r305930)
@@ -2380,7 +2380,7 @@ upgrade_merge () {
                                cp merge/old/${F} merge/new/${F}
                                ;;
                        *)
-                               if ! merge -p -L "current version"      \
+                               if ! diff3 -E -m -L "current version"   \
                                    -L "${OLDRELNUM}" -L "${RELNUM}"    \
                                    merge/old/${F}                      \
                                    merge/${OLDRELNUM}/${F}             \
_______________________________________________
svn-src-head@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/svn-src-head
To unsubscribe, send any mail to "svn-src-head-unsubscr...@freebsd.org"

Reply via email to